#include <bits/stdc++.h>

using namespace std;
int v[1000005];
int main()
{
    int n,k,maxi=0;
    cin>>n>>k;
    for(int i=1;i<=n;i++)
    {
        cin>>v[i];
        maxi=max(maxi,v[i]);
    }
    if(maxi<=1)
    {
        int cnt1=0;
        for(int i=1;i<=n;i++)
            if(v[i]==1)
                cnt1++;
        if(cnt1>=k)
            cout<<1;
        else
            cout<<0;
    }
    else if(maxi<=2)
    {
        cout<<2;
    }
    else
    {
        cout<<3;
    }
    return 0;
}
